

# ![Logo](https://i.imgur.com/ktkHND1.png)

This mod is FAR FROM FINISHED, and initially just created for our private Survival Server.
As a challenge I'm trying to make it as user-friendly as possible.
# Current feature-set

## Server Side

- Custom join message  
![Join Message](https://i.imgur.com/7uv5lUb.png)
- Custom quit message  
![Quit Message](https://i.imgur.com/OhFq1BT.png)
- Custom chat message  
![Chat Message](https://i.imgur.com/PDwRywP.png)
- Tab list dimension indicator  
![Overworld](https://i.imgur.com/FB1Y7gD.png)  
![Nether](https://i.imgur.com/XxJDL7u.png)  
![End](https://i.imgur.com/t5u9goh.png)  
![Spectator](https://i.imgur.com/eEn4V9S.png)
- Config
  - Configurable messages
  - Feature toggle
  - Version "control"
- Shared Ender Chest
  - Shared EC Access control (via config)
  - Open/close EC block while opening/closing SEC
  - Play open & close sounds
- Vein miner
  - Configurable animation (tick delay)  
  - Leaves veinmineable using shears  
Code inspired by Inferis!  
![VeinMiner](https://i.imgur.com/zOXWMNa.gif)
- Chat Calculator
  - Check if operator is present before calculating
- Replenish


### Commands
- /spectator | Essentially server-side free-cam, you get put in spectator and are able to fly around, once you use the command again you get put back to where you were.
- /slimechunk (/sc) | See if you're currently in a slimechunk

## Client Side

- Teleportation Angle Viewer for [this machine](https://www.youtube.com/watch?v=FnUE-ZaALLw)
  - Toggleable pitch/yaw lock while teleporting  
    ![Teleportation Keybindings](https://i.imgur.com/gjO1H3d.png)
- Remove game fog (lava, water, etc.)
  - All types individually toggleable
- Remove darkness effect
  - Toggleable
- Keybinding for /spectator
- Render block entities from a longer range
  - Toggleable via GUI
  - Configurable value
    - In GUI
- Mod Menu integration
  DISCLAIMER: this is NOT perfect and still needs to be reworked, I'm just too lazy right now...
  - The following types are accepted:
    - String
    - Boolean
    - Float
    - Integer
- Zoom
  - Configurable
    - Smooth zoom
    - Initial zoom value
    - Zoom step value
    - Scroll to zoom further

# To-do

## General
- Rework config system
- Store server settings in world folder for better singleplayer use

## Client side

## Server Side
- Telekinesis

Other than that no more features!
Be sure to give your idea by [opening an issue](https://git.hak.wtf/hkuijlman/SurvivalFabric/issues/new) with the label Feature Request