package wtf.hak.survivalfabric;

import net.fabricmc.api.ClientModInitializer;
import wtf.hak.survivalfabric.config.client.ClientConfigManager;
import wtf.hak.survivalfabric.features.AngleViewer;
import wtf.hak.survivalfabric.features.RemoveDarknessEffect;
import wtf.hak.survivalfabric.features.CameraShortcut;
import wtf.hak.survivalfabric.features.Zoom;

public class SurvivalFabricClient implements ClientModInitializer {

    @Override
    public void onInitializeClient() {

        // Config
        ClientConfigManager.getConfig();

        // Features
        AngleViewer.register();
        RemoveDarknessEffect.register();
        CameraShortcut.register();
        Zoom.register();
    }
}