package wtf.hak.survivalfabric.mixin.client;

import com.llamalad7.mixinextras.injector.ModifyReturnValue;
import com.llamalad7.mixinextras.sugar.Local;
import net.minecraft.client.render.GameRenderer;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import wtf.hak.survivalfabric.features.Zoom;

@Mixin(GameRenderer.class)
public class GameRendererMixin {

    /**
     * Modify Zoom FOV
     */
    @ModifyReturnValue(method = "getFov", at = @At("RETURN"))
    private float modifyFovWithZoom(float fov, @Local(argsOnly = true) float tickDelta) {
        return Zoom.isZooming() ? Zoom.getZoomFov() : fov;
    }

}
