package wtf.hak.survivalfabric.features;

import net.fabricmc.fabric.api.client.event.lifecycle.v1.ClientTickEvents;
import net.minecraft.entity.effect.StatusEffectInstance;
import net.minecraft.entity.effect.StatusEffects;
import wtf.hak.survivalfabric.config.client.ClientConfigManager;

public class RemoveDarknessEffect {

    public static void register() {
        ClientTickEvents.END_CLIENT_TICK.register(client -> {
            if (client.player != null && ClientConfigManager.getConfig().removeDarknessEffect) {
                StatusEffectInstance darknessEffect = client.player.getStatusEffect(StatusEffects.DARKNESS);
                if (darknessEffect != null)
                    client.player.removeStatusEffect(darknessEffect.getEffectType());
            }
        });
    }
}
