package wtf.hak.survivalfabric.features.veinminer.drills;

import net.minecraft.item.Items;
import net.minecraft.registry.RegistryKeys;
import net.minecraft.registry.tag.TagKey;
import net.minecraft.util.Identifier;
import net.minecraft.util.math.BlockPos;
import wtf.hak.survivalfabric.features.veinminer.VeinMinerSession;

public class LeavesDrill extends DrillBase {

    public LeavesDrill(VeinMinerSession session) {
        super(session, TagKey.of(RegistryKeys.BLOCK, Identifier.of("survivalfabric", "leaves")));
    }

    @Override
    public boolean isRightTool(BlockPos pos) {
        var blockState = session.world.getBlockState(pos);
        return session.player.getMainHandStack().isSuitableFor(blockState) || session.player.getMainHandStack().getItem() == Items.SHEARS;
    }

}